Skip to main content
PATCH
Modify a firewall rule

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

location
string
required

The Ubicloud location/region

Example:

"eu-central-h1"

project_id
string
required

ID of the project

Pattern: ^pj[0-9a-hj-km-np-tv-z]{24}$
Example:

"pjkkmx0f2vke4h36nk9cm8v8q0"

firewall_reference
string
required

Firewall ID or name Resource ID or name

Pattern: ^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$
firewall_rule_id
string
required

ID of the firewall rule

Pattern: ^fr[0-9a-hj-km-np-tv-z]{24}$
Example:

"fraz0q3vbrpa7pkg7zbmah9csn"

Body

application/json
cidr
string
required

CIDR of the firewall rule

port_range
string

Port range of the firewall rule

protocol
string

Protocol of the firewall rule (tcp or udp)

description
string

Description of the firewall rule

Response

A Firewall Rule

cidr
string
required

CIDR of the firewall rule

id
string
required

ID of the firewall rule

Pattern: ^fr[0-9a-hj-km-np-tv-z]{24}$
Example:

"fraz0q3vbrpa7pkg7zbmah9csn"

port_range
string
required

Port range of the firewall rule

protocol
enum<string>
required

Protocol of the firewall rule (tcp or udp)

Available options:
tcp,
udp
description
string
required

Description of the firewall rule